import Game from "./Game";

type DetailView = {
    id: number;
    name: string;
    cover: { url: string };
    summary: string;
}

type DetailViewArray = DetailView[];

export default async function GamesList() {
    const res = await fetch("https://api.igdb.com/v4/games", {
        method: 'POST',
        headers: {
            'Accept': 'application/json',
            'Content-Type': 'application/json',
            'Client-ID': `${process.env.IMDB_CLIENT_ID}`,
            'Authorization': `${process.env.IMDB_AUTH}`,
        },
        body: `fields name,cover.*; limit 40; where cover != null;`,
    });
    const data: DetailViewArray = await res.json()

    return (
        <div>
            Games List Page
            {data.map((game: any) => (
                <Game key={game.id} id={game.id} name={game.name} cover={game.cover} />
            ))}
        </div>
    )
}
